from django.contrib import admin
from django.urls import path
from django.conf import settings
from django.conf.urls.static import static
from django.conf.urls import include

from main import views
from main.feeds import LatestMoviesFeed

urlpatterns = [
    path("", views.home, name="home"),
    path("search/", views.search, name="search"),
    path("api/", views.api, name="api"),
    path("about/", views.about, name="about"),
    path("help/", views.help, name="help"),
    path("bugs/", views.bugs, name="bugs"),
    path("movie/<int:id>", views.movie, name="movie"),
    path("ultimas/rss/", LatestMoviesFeed()),
    path("admin/", admin.site.urls),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
